Index: bin/install
===================================================================
--- bin/install	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,162 +1,0 @@
-#!/bin/sh
-#
-# Script to install OpenWorkouts for development
-#
-
-# Full path to where we run the script from
-current=`pwd`
-# Full path to the main python binary (will be set by check_python3())
-python_bin=''
-# Full path to the env
-env_path=${current}/env
-# full path to the install logs
-install_log=${current}/var/log/install.log
-# mail queue directory (where automatically generated emails are stored)
-mail_queue_path=${current}/var/spool/mqueue
-
-set_scripts_permissions() {
-    echo "Setting up script permissions"
-    # ensure the shell scripts we will need have proper permissions
-    chmod u+x ${current}/bin/js_deps
-    chmod u+x ${current}/bin/start
-}
-
-check_python3() {
-    # if python3 is not installed, exit with an error
-    if command -v python3 > /dev/null; then
-        # ok
-        python_bin=`command -v python3`
-        echo "Found valid python installation: ${python_bin}"
-        return
-    else
-        # no python3 binary, look for python
-        if command -v python > /dev/null; then
-            # python found, check if it is 3.x
-            if `command -v python` -c "import sys; exit(0) if sys.version.startswith('3.') else exit(1)"; then
-                python_bin=`command -v python`
-                echo "Found valid python installation: ${python_bin}"
-                return
-            else
-                # no python binary, error
-                echo "Error: could not find a suitable python version installed, please install python 3.x"
-                exit 1
-            fi
-        else
-            # no python binary, error
-            echo "Error: could not find a suitable python version installed, please install python 3.x"
-            exit 1
-        fi
-    fi
-}
-
-create_venv() {
-    # create a new virtual environment
-    if [ ! -d ${env_path} ]; then
-        echo "Creating new python virtual environment [${env_path}]"
-        ${python_bin} -m venv ${env_path}
-    else
-        if [ ! -f ${env_path}/bin/activate ]; then
-            # env dir found, but not a virtual env
-            echo "Error: ${env_path} exists and is not a valid virtual environment"
-            exit 1
-        else
-            echo "Reusing python virtual environment [${env_path}]"
-        fi
-    fi
-}
-
-upgrade_pip_setuptools() {
-    . ${env_path}/bin/activate
-    echo "Upgrading python packaging tools"
-    yes | pip install --upgrade setuptools pip >> ${install_log}.stdout 2>> ${install_log}.stderr
-    deactivate
-}
-
-install_openworkouts() {
-    . ${env_path}/bin/activate
-    echo "Installing OpenWorkouts dependencies"
-    yes | pip install --upgrade -e ${current}[testing,translations] >> ${install_log}.stdout 2>> ${install_log}.stderr
-    deactivate
-}
-
-install_js_deps() {
-    echo "Installing javascript components"
-    ${current}/bin/js_deps >> ${install_log}.stdout 2>> ${install_log}.stderr
-}
-
-create_mail_queue() {
-    # Creates a Maildir-format directory that pyramid_mailer can use to
-    # queue mails.
-    echo "Creating mail spool directory ${mail_queue_path}"
-    mkdir -p ${mail_queue_path}/new >> ${install_log}.stdout 2>> ${install_log}.stderr
-    mkdir -p ${mail_queue_path}/tmp >> ${install_log}.stdout 2>> ${install_log}.stderr
-    mkdir -p ${mail_queue_path}/cur >> ${install_log}.stdout 2>> ${install_log}.stderr
-}
-
-create_temp_dirs() {
-    # Creates the tmp directory where cache files are stored
-    echo "Creating tmp and cache directories ${current}/var/tmp"
-    mkdir -p ${current}/var/tmp/chameleon
-    mkdir -p ${current}/var/tmp/egg_cache
-}
-
-setup_mail_server() {
-    echo ""
-    echo "IMPORTANT, READ BEFORE STARTING OpenWorkouts"
-    echo "--------------------------------------------"
-    echo ""
-    echo "For emails to be sent by OpenWorkouts you have to set up your mail"
-    echo "server account. Edit the file development.ini and update the"
-    echo "parameters:"
-    echo ""
-    echo "  mail.host = SERVER"
-    echo "  mail.tls = True"
-    echo "  mail.username = USERNAME"
-    echo "  mail.password = PASSWORD"
-    echo ""
-    echo "--------------------------------------------"
-
-}
-
-create_cron_job() {
-    echo ""
-    echo "IMPORTANT, READ BEFORE STARTING OpenWorkouts"
-    echo "--------------------------------------------"
-    echo ""
-    echo "Remember to add a periodic task in your operating system to process"
-    echo "the mail queue, so emails are sent"
-    echo ""
-    echo "In a unix-like system, add this to your crontab:"
-    echo ""
-    echo "*/5 * * * * cd ${current} && ./bin/send_emails > /dev/null 2> /dev/null"
-    echo ""
-    echo "--------------------------------------------"
-    echo ""
-}
-
-setup_start_stop() {
-    echo "OpenWorkouts successfully installed in ${env_path}"
-    echo ""
-    echo "You can now start the OpenWorkouts service calling:"
-    echo ""
-    echo "  cd ${current} && ./bin/start"
-    echo ""
-    echo "(the installation script left a log under ${install_log})"
-    echo ""
-    # echo "You can stop any running OpenWorkouts instances calling:"
-    # echo ""
-    # echo "  ${current}/bin/stop"
-    # echo ""
-}
-
-set_scripts_permissions
-check_python3
-create_venv
-upgrade_pip_setuptools
-install_openworkouts
-install_js_deps
-create_mail_queue
-setup_mail_server
-create_cron_job
-create_temp_dirs
-setup_start_stop
Index: bin/js_deps
===================================================================
--- bin/js_deps	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ bin/js_deps	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -178,102 +178,4 @@
 }
 
-leaflet_elevation() {
-    NAME="leaflet-elevation"
-    VERSION="0.0.8"
-    URL=https://github.com/Raruto/${NAME}/archive/${VERSION}.tar.gz
-    check_cache ${NAME} ${VERSION}
-    in_cache=$?
-    if [ ${in_cache} -eq 0 -a ${REINSTALL} -eq 1 ]; then
-        echo "${NAME}-${VERSION} $ALREADY_INSTALLED"
-    else
-        echo "> Installing ${NAME} ${VERSION}"
-        if [ -d ${COMPONENTS}/${NAME} ]; then
-            # Clean up, delete previous install before installing
-            rm -r ${COMPONENTS}/${NAME}
-        fi
-        cd ${TMP}
-        ${GET} ${URL}
-        ${TAR} ${VERSION}.tar.gz
-        cd ${CURRENT}
-        mv ${TMP}/${NAME}-${VERSION} ${COMPONENTS}/${NAME}
-        echo "${NAME}-${VERSION}" >> ${CACHE}
-        echo "< Installed ${NAME} ${VERSION}"
-    fi
-}
-
-pickadate() {
-    NAME="pickadate"
-    VERSION=3.5.6
-    URL=https://github.com/amsul/${NAME}.js/archive/${VERSION}.tar.gz
-    check_cache ${NAME} ${VERSION}
-    in_cache=$?
-    if [ ${in_cache} -eq 0 -a ${REINSTALL} -eq 1 ]; then
-        echo "${NAME}-${VERSION} $ALREADY_INSTALLED"
-    else
-        echo "> Installing ${NAME} ${VERSION}"
-        if [ -d ${COMPONENTS}/${NAME} ]; then
-            # Clean up, delete previous install before installing
-            rm -r ${COMPONENTS}/${NAME}
-        fi
-        mkdir ${COMPONENTS}/${NAME}
-        cd ${TMP}
-        ${GET} ${URL}
-        ${TAR} ${VERSION}.tar.gz
-        cd ${CURRENT}
-        mv ${TMP}/${NAME}.js-${VERSION}/lib/* ${COMPONENTS}/${NAME}
-        echo "${NAME}-${VERSION}" >> ${CACHE}
-        echo "< Installed ${NAME} ${VERSION}"
-    fi
-}
-
-d3() {
-    NAME="d3"
-    VERSION=5.7.0
-    URL=https://github.com/${NAME}/${NAME}/releases/download/v${VERSION}/${NAME}.zip
-    check_cache ${NAME} ${VERSION}
-    in_cache=$?
-    if [ ${in_cache} -eq 0 -a ${REINSTALL} -eq 1 ]; then
-        echo "${NAME}-${VERSION} $ALREADY_INSTALLED"
-    else
-        echo "> Installing ${NAME} ${VERSION}"
-        if [ -d ${COMPONENTS}/${NAME} ]; then
-            # Clean up, delete previous install before installing
-            rm -r ${COMPONENTS}/${NAME}
-        fi
-        cd ${TMP}
-        ${GET} ${URL}
-        ${UNZIP} ${NAME}.zip -d ${NAME}
-        cd ${CURRENT}
-        mv ${TMP}/${NAME} ${COMPONENTS}/
-        echo "${NAME}-${VERSION}" >> ${CACHE}
-        echo "< Installed ${NAME} ${VERSION}"
-    fi
-}
-
-jquery_dropdown() {
-    # We need version "master", as the latest release does not work properly
-    NAME="jquery-dropdown"
-    VERSION=master
-    URL=https://github.com/soundasleep/${NAME}/archive/${VERSION}.tar.gz
-    check_cache ${NAME} ${VERSION}
-    in_cache=$?
-    if [ ${in_cache} -eq 0 -a ${REINSTALL} -eq 1 ]; then
-        echo "${NAME}-${VERSION} $ALREADY_INSTALLED"
-    else
-        echo "> Installing ${NAME} ${VERSION}"
-        if [ -d ${COMPONENTS}/${NAME} ]; then
-            # Clean up, delete previous install before installing
-            rm -r ${COMPONENTS}/${NAME}
-        fi
-        mkdir ${COMPONENTS}/${NAME}
-        cd ${TMP}
-        ${GET} ${URL}
-        ${TAR} ${VERSION}.tar.gz
-        cd ${CURRENT}
-        mv ${TMP}/${NAME}-${VERSION}/jquery.dropdown.{css,js} ${COMPONENTS}/${NAME}
-        echo "${NAME}-${VERSION}" >> ${CACHE}
-        echo "< Installed ${NAME} ${VERSION}"
-    fi
-}
 
 
@@ -284,9 +186,4 @@
 leaflet
 leaflet_gpx
-leaflet_elevation
-pickadate
-d3
-jquery_dropdown
-
 
 # Clean up, remove the tmp directory
Index: bin/new_translations
===================================================================
--- bin/new_translations	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/bin/sh
-pot-create -o ow/locale/OpenWorkouts.pot ow
-msgmerge --update ow/locale/es/LC_MESSAGES/OpenWorkouts.po ow/locale/OpenWorkouts.pot
Index: bin/send_emails
===================================================================
--- bin/send_emails	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,19 +1,0 @@
-#!/bin/sh
-#
-# Script to run the task that sends emails
-#
-
-# Full path to where we run the script from
-current=`pwd`
-# Full path to the env
-env_path=${current}/env
-
-# Activate the virtual env
-echo "Activating virtual environment"
-. ${env_path}/bin/activate
-
-# Send emails
-echo "Running the mail queue processor (this can take a while)"
-echo "  (more info in ${current}/var/log/queueprocessor.log)"
-python ow/tasks/run.py development.ini send_emails
-echo "Done"
Index: bin/start
===================================================================
--- bin/start	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#!/bin/sh
-#
-# Script to start OpenWorkouts
-#
-
-# Full path to where we run the script from
-current=`pwd`
-# Full path to the env
-env_path=${current}/env
-
-# trap control+c, which is what we use to stop pserve, ensuring ZEO is shut down
-trap ctrl_c INT
-
-ctrl_c() {
-    ./bin/uwsgi_stop
-    ./bin/zeo_stop
-}
-
-# Activate the virtual env
-echo "Activating virtual environment"
-. ${env_path}/bin/activate
-
-# Now ensure all python and js packages are up-to-date
-echo "Installing dependency updates (this may take a moment)"
-yes | pip install --upgrade -e ${current}[testing] > /tmp/ow-start.stdout 2> /tmp/ow-start.stderr
-./bin/js_deps > /tmp/ow-start.stdout 2> /tmp/ow-start.stderr
-
-# Start ZEO (stop if it is running)
-echo "Starting database"
-./bin/zeo_stop >> var/log/zeo_stop.log 2>> var/log/zeo_stop.err &
-./bin/zeo_start >> var/log/zeo_start.log 2>> var/log/zeo_start.err &
-
-# And finally run the server
-echo "Starting OpenWorkouts"
-./bin/uwsgi_start development
-
-# show the url where the app is accesible
-ow_url=http://`grep http etc/uwsgi_development.ini |cut -f 3 -d " "`
-echo "Open this url in your browser to access the app: ${ow_url}"
-# open ${ow_url}
Index: bin/stop
===================================================================
--- bin/stop	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#!/bin/sh
-#
-# Script to stop OpenWorkouts
-#
-
-# Full path to where we run the script from
-current=`pwd`
-# Full path to the env
-env_path=${current}/env
-
-# Activate the virtual env
-. ${env_path}/bin/activate
-
-# stop pserve
-echo "Stopping OpenWorkouts"
-./bin/uwsgi_stop
-#kill -15 `cat var/run/pserve.pid`
-
-# Stop ZEO
-echo "Stopping database"
-./bin/zeo_stop >> var/log/zeo_stop.log 2>> var/log/zeo_stop.err &
Index: bin/update_translations
===================================================================
--- bin/update_translations	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/bin/sh
-
-msgfmt --statistics -o ow/locale/es/LC_MESSAGES/OpenWorkouts.mo ow/locale/es/LC_MESSAGES/OpenWorkouts.po
Index: bin/uwsgi_start
===================================================================
--- bin/uwsgi_start	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,28 +1,0 @@
-#!/bin/sh
-#
-# Start uwsgi, loading the config from the ini file in etc/
-
-
-case "$1" in
-    'development')
-        uwsgi --ini etc/uwsgi_development.ini
-        echo "Started uwsgi, check var/log/uwsgi/uwsgi.log for more info"
-        ;;
-    'staging')
-        uwsgi --ini etc/uwsgi_staging.ini
-        echo "Started uwsgi, check var/log/uwsgi/uwsgi.log for more info"
-        ;;
-    'production')
-        uwsgi --ini etc/uwsgi_production.ini
-        echo "Started uwsgi, check var/log/uwsgi/uwsgi.log for more info"
-        ;;
-    *)
-        if [ $1 ]; then
-            echo "[error] $1 is not a valid environment"
-        else
-            echo "[error] No env name provided"
-        fi
-        echo "Valid env names: development staging production"
-        exit 1
-        ;;
-esac
Index: bin/uwsgi_stop
===================================================================
--- bin/uwsgi_stop	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/sh
-#
-# Stop a running uwsgi service, if it has been started
-
-kill -15 `cat var/run/uwsgi.pid`
-echo "Stopped uwsgi"
